require "class"
require "resources"
require "debugstatus"
require "world"
require "block"
require "camera"
require "collision"

function love.load()
	GameWorld = world:new(200,200)
	LoadBlockResources()
	BlockLoad()
	GameWorld:randomSeedMap()
	PlayerCam = camera:new()
	DB = debugstatus:new(true)
end

function love.update()
	GameWorld:update()
end


function love.draw()
	GameWorld:draw()
	DB:draw()
end

function love.keypressed(key)
	DB:keypressed(key)
	if key == "escape" then 
		love.event.push("quit")
	end
end